libpst.so.4: pst_recurrence Struct Reference

Main Page | Alphabetical List | Data Structures | Directories | File List | Data Fields | Globals

# pst_recurrence Struct Reference

This contains the recurrence data separated into fields. More...

`#include <libpst/libpst.h>`

## Data Fields
uint32_t | signature
| 0x30043004
uint32_t | type
| 0 daily 1 weekly 2 monthly 3 yearly
uint32_t | sub_type
| implies number of recurrence parameters 0 has 3 parameters 1 has 4 parameters 2 has 4 parameters 3 has 5 parameters
uint32_t | parm1
| must be contiguous, not an array to make python interface easier
uint32_t | parm2
uint32_t | parm3
uint32_t | parm4
uint32_t | parm5
uint32_t | termination
| type of termination of the recurrence 0 terminates on a date 1 terminates based on integer number of occurrences 2 never terminates
uint32_t | interval
| recurrence interval in terms of the recurrence type
uint32_t | bydaymask
| bit mask of days of the week
uint32_t | dayofmonth
| day of month for monthly and yearly recurrences
uint32_t | monthofyear
| month of year for yearly recurrences
uint32_t | position
| occurence of day for 2nd Tuesday of month, in which case position is 2
uint32_t | count
| number of occurrences, even if recurrence terminates based on date

## Detailed Description

This contains the recurrence data separated into fields.

http://www.geocities.com/cainrandom/dev/MAPIRecurrence.html

Definition at line 637 of file libpst.h.

## Field Documentation

uint32_t pst_recurrence::bydaymask

| bit mask of days of the week Definition at line 667 of file libpst.h.

uint32_t pst_recurrence::count

| number of occurrences, even if recurrence terminates based on date Definition at line 675 of file libpst.h.

uint32_t pst_recurrence::dayofmonth

| day of month for monthly and yearly recurrences Definition at line 669 of file libpst.h.

uint32_t pst_recurrence::interval

| recurrence interval in terms of the recurrence type Definition at line 665 of file libpst.h.

uint32_t pst_recurrence::monthofyear

| month of year for yearly recurrences Definition at line 671 of file libpst.h.

uint32_t pst_recurrence::parm1

| must be contiguous, not an array to make python interface easier Definition at line 653 of file libpst.h.

uint32_t pst_recurrence::parm2

| Definition at line 654 of file libpst.h.

uint32_t pst_recurrence::parm3

| Definition at line 655 of file libpst.h.

uint32_t pst_recurrence::parm4

| Definition at line 656 of file libpst.h.

uint32_t pst_recurrence::parm5

| Definition at line 657 of file libpst.h.

uint32_t pst_recurrence::position

| occurence of day for 2nd Tuesday of month, in which case position is 2 Definition at line 673 of file libpst.h.

uint32_t pst_recurrence::signature

| 0x30043004 Definition at line 639 of file libpst.h.

uint32_t pst_recurrence::sub_type

| implies number of recurrence parameters 0 has 3 parameters 1 has 4 parameters 2 has 4 parameters 3 has 5 parameters Definition at line 651 of file libpst.h.

uint32_t pst_recurrence::termination

| type of termination of the recurrence 0 terminates on a date 1 terminates based on integer number of occurrences 2 never terminates Definition at line 663 of file libpst.h.

uint32_t pst_recurrence::type

| 0 daily 1 weekly 2 monthly 3 yearly Definition at line 644 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h